package com.xiaomi.apus.helloworld.server;

import com.xiaomi.apus.metrics.OpenFalconMetricsFactory;
import com.xiaomi.apus.registry.servicecenter.ServiceCenterRegistryFactory;
import com.xiaomi.apus.server.Bootstrap;
import com.xiaomi.apus.server.ServerConfig;


public class ServerWithOpenFalconMetrics {

    public static void main(String[] args) {
        ServerConfig<EchoServerImpl> config = new ServerConfig.Builder<>(EchoServerImpl.class)
                .registryFactory(new ServiceCenterRegistryFactory(EchoServerImpl.class))
                .metricsFactory(new OpenFalconMetricsFactory("method", '/'))
                .port(12346).build();
        Bootstrap<EchoServerImpl> bootstrap = new Bootstrap<>(config);
        bootstrap.start();
    }
}
